Hanzo
API Reference

Hanzo Commerce API

Hanzo Commerce API provides a complete e-commerce platform with support for

Hanzo Commerce API provides a complete e-commerce platform with support for

Hanzo Commerce API · Guide & examples → · All API references →

Base URLhttps://commerce.hanzo.ai
Version1.0.0
Operations108
GuideHanzo Commerce API guide

Authentication

  • bearerAuth — HTTP bearer
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://commerce.hanzo.ai

Endpoints

Access Tokens

MethodEndpointDescription
GET/v1/commerce/access/{mode}/{id}Get access token
POST/v1/commerce/access/{mode}/{id}Create or delete access token
DELETE/v1/commerce/access/{mode}/{id}Delete access token

Account

MethodEndpointDescription
GET/v1/commerce/accountGet current account
PUT/v1/commerce/accountUpdate account
PATCH/v1/commerce/accountPartially update account
POST/v1/commerce/account/loginLogin to account
POST/v1/commerce/account/createCreate new account
GET/v1/commerce/account/exists/{emailorusername}Check if account exists
POST/v1/commerce/account/enable/{tokenid}Enable account with token
POST/v1/commerce/account/resetRequest password reset
POST/v1/commerce/account/confirm/{tokenid}Confirm password reset
GET/v1/commerce/account/order/{orderid}Get account order
PATCH/v1/commerce/account/order/{orderid}Update account order
POST/v1/commerce/account/withdrawWithdraw funds
POST/v1/commerce/account/paymentmethod/{paymentmethodtype}Create payment method

Affiliates

MethodEndpointDescription
GET/v1/commerce/affiliateList affiliates
POST/v1/commerce/affiliateCreate affiliate
GET/v1/commerce/affiliate/{affiliateid}Get affiliate
GET/v1/commerce/affiliate/{affiliateid}/connectConnect affiliate

Auth

MethodEndpointDescription
POST/v1/commerce/authAuthenticate user (OAuth2)

Cart

MethodEndpointDescription
GET/v1/commerce/cartList carts
POST/v1/commerce/cartCreate cart
GET/v1/commerce/cart/{cartid}Get cart
PUT/v1/commerce/cart/{cartid}Update cart
PATCH/v1/commerce/cart/{cartid}Partially update cart
DELETE/v1/commerce/cart/{cartid}Delete cart
POST/v1/commerce/cart/{cartid}/setSet item in cart
POST/v1/commerce/cart/{cartid}/discardDiscard cart

Checkout

MethodEndpointDescription
POST/v1/commerce/checkout/authorizeAuthorize new payment
POST/v1/commerce/checkout/authorize/{orderid}Authorize payment for existing order
POST/v1/commerce/checkout/capture/{orderid}Capture authorized payment
POST/v1/commerce/checkout/chargeAuthorize and capture in one step
POST/v1/commerce/checkout/confirm/{orderid}Confirm order
POST/v1/commerce/checkout/cancel/{orderid}Cancel order
GET/v1/commerce/checkout/ethereum/lookup/{proxyaddress}Lookup Ethereum proxy address

Counters

MethodEndpointDescription
POST/v1/commerce/counterSearch counters
POST/v1/commerce/counter/dashboard/dailyGet daily dashboard metrics
GET/v1/commerce/counter/product/{productid}Get product counters
GET/v1/commerce/counter/toplineGet topline metrics

Forms

MethodEndpointDescription
GET/v1/commerce/formList forms
POST/v1/commerce/formCreate form
GET/v1/commerce/form/{formid}Get form
POST/v1/commerce/form/{formid}/submitSubmit form
POST/v1/commerce/form/{formid}/subscribeSubscribe via form

Marketing

MethodEndpointDescription
POST/v1/commerce/marketingCreate marketing campaign

Orders

MethodEndpointDescription
GET/v1/commerce/orderList orders
POST/v1/commerce/orderCreate order
GET/v1/commerce/order/{orderid}Get order
PUT/v1/commerce/order/{orderid}Update order
PATCH/v1/commerce/order/{orderid}Partially update order
DELETE/v1/commerce/order/{orderid}Delete order
POST/v1/commerce/order/{orderid}/authorizeAuthorize payment for order
POST/v1/commerce/order/{orderid}/captureCapture authorized payment
POST/v1/commerce/order/{orderid}/chargeAuthorize and capture payment (single step)
POST/v1/commerce/order/{orderid}/refundRefund order
GET/v1/commerce/order/{orderid}/paymentsGet order payments
GET/v1/commerce/order/{orderid}/returnsGet order returns
GET/v1/commerce/order/{orderid}/statusGet order status
GET/v1/commerce/order/{orderid}/sendorderconfirmationSend order confirmation email
GET/v1/commerce/order/{orderid}/sendrefundconfirmationSend refund confirmation email
GET/v1/commerce/order/{orderid}/sendfulfillmentconfirmationSend fulfillment confirmation email

Products

MethodEndpointDescription
GET/v1/commerce/productList products
POST/v1/commerce/productCreate product
GET/v1/commerce/product/{productid}Get product
PUT/v1/commerce/product/{productid}Update product
PATCH/v1/commerce/product/{productid}Partially update product
DELETE/v1/commerce/product/{productid}Delete product
MethodEndpointDescription
GET/v1/commerce/search/userSearch users
GET/v1/commerce/search/orderSearch orders
POST/v1/commerce/search/noteSearch notes

Store

MethodEndpointDescription
GET/v1/commerce/storeList stores
POST/v1/commerce/storeCreate store
GET/v1/commerce/store/{storeid}Get store
GET/v1/commerce/store/{storeid}/product/{key}Get store product
GET/v1/commerce/store/{storeid}/variant/{key}Get store variant
GET/v1/commerce/store/{storeid}/listingList store listings
GET/v1/commerce/store/{storeid}/listing/{key}Get store listing
POST/v1/commerce/store/{storeid}/listing/{key}Create store listing
PUT/v1/commerce/store/{storeid}/listing/{key}Update store listing
PATCH/v1/commerce/store/{storeid}/listing/{key}Partially update store listing
DELETE/v1/commerce/store/{storeid}/listing/{key}Delete store listing
POST/v1/commerce/store/{storeid}/checkout/authorizeAuthorize payment via store
POST/v1/commerce/store/{storeid}/checkout/chargeCharge payment via store

Subscriptions

MethodEndpointDescription
POST/v1/commerce/subscribeCreate subscription
GET/v1/commerce/subscribe/{subscriptionid}Get subscription
PATCH/v1/commerce/subscribe/{subscriptionid}Update subscription
DELETE/v1/commerce/subscribe/{subscriptionid}Cancel subscription

Transactions

MethodEndpointDescription
POST/v1/commerce/transactionCreate transaction
GET/v1/commerce/transaction/{kind}/{id}List transactions for entity
POST/v1/commerce/transaction/holdCreate hold
DELETE/v1/commerce/transaction/hold/{id}Remove hold

Users

MethodEndpointDescription
GET/v1/commerce/userList users
POST/v1/commerce/userCreate user
GET/v1/commerce/user/{userid}Get user
PUT/v1/commerce/user/{userid}Update user
PATCH/v1/commerce/user/{userid}Partially update user
DELETE/v1/commerce/user/{userid}Delete user
GET/v1/commerce/user/{userid}/password/resetReset user password (admin)
GET/v1/commerce/user/{userid}/ordersGet user orders
GET/v1/commerce/user/{userid}/referralsGet user referrals
GET/v1/commerce/user/{userid}/referrersGet user referrers
GET/v1/commerce/user/{userid}/transactionsGet user transactions
GET/v1/commerce/user/{userid}/paymentmethodsGet user payment methods
GET/v1/commerce/user/{userid}/walletGet user wallet
POST/v1/commerce/user/{userid}/wallet/accountCreate wallet account
GET/v1/commerce/user/{userid}/wallet/account/{name}Get wallet account
POST/v1/commerce/user/{userid}/wallet/paySend payment from wallet

Hanzo Commerce API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page